@import "src/assets/styles/_for-react-components.scss";

$parent: "react-button";
$transition-btn: 0.3s;

@include block($parent) {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: rem(12) rem(24);
  border: 1px solid transparent;
  border-radius: rem(50);
  color: var(--color-white-100);
  background-color: var(--color-black-200);
  text-align: center;
  cursor: pointer;
  text-decoration: none;
  transition: color $transition-btn, background-color $transition-btn;

  @include min-media('t') {
    padding: rem(16) rem(32);
  }

  @media (hover: hover) {
    &:hover {
      background-color: var(--color-black-100-40);
    }
  }

  @include element($parent, "wrapper") {
    display: flex;
    align-items: center;
    gap: rem(8);
  }

  @include element($parent, 'wrapper-icon') {
    width: rem(14);
    height: rem(14);
    margin-left: rem(8);

    @include min-media('t') {
      width: rem(16);
      height: rem(16);
    }

    @include modifier($parent, 'attention') {
      position: relative;

      &::after {
        position: absolute;
        top: 0;
        right: -4px;
        content: '';
        width: rem(5);
        height: rem(5);
        border-radius: 50%;
        background-color: var(--color-white-100);
      }
    }
  }

  @include element($parent, "icon") {
    width: 100%;
    height: 100%;
    fill: var(--color-white-100);
    transition: fill $transition-btn;
  }

  @include modifier($parent, "disabled") {
    color: var(--color-gray-100-48);
    background-color: var(--color-black-100);
    pointer-events: none;
  }

  @include modifier($parent, "active") {
    color: var(--color-black-200);
    background-color: var(--color-blue-800);
  }
}
